DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PaintDiamond

Paint a diamond-shaped object

## SYNOPSIS

`#include "dip_paint.h"`

dip_Error dip_PaintDiamond ( im, length, orign, amplitude )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

Paints a diamond-shaped object in the image by replacing the values of the pixels in `im` that lie within the diamond (as specified by `length` and `origin`) with `amplitude`, and leaving the other pixel values untouched.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `im` | Image
`dip_FloatArray` | `length` | Length array
`dip_FloatArray` | `origin` | Origin array
`dip_float` | `amplitude` | Pixel value of the painted ellips

## SEE ALSO

`PaintEllipsoid`, `PaintBox`

DIPlib on-line documentation | Function reference | Global function index